/**********************************************************************
* @file		main_conf.h
* @brief	Contains all macro definitions and function prototypes
* 			support for PCU firmware library on A31G21x
* @version	1.0
* @date		
* @author	ABOV M team
*
* Copyright(C) 2019, ABOV Semiconductor
* All rights reserved.
*
**********************************************************************/
#ifndef __A31G21x_CONF_H
#define __A31G21x_CONF_H

	
/* Includes ---------------------------------------------------------*/
/* Uncomment the line below to enable peripheral header file inclusion */
#include "A31G21x_hal_pcu.h"
#include "A31G21x_hal_scu.h"
#include "A31G21x_hal_uartn.h"
#include "A31G21x_hal_debug_frmwrk.h"
#include "A31G21x_hal_usart1n.h"

#ifdef __cplusplus
extern "C"
{
#endif	
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/

/* Initialize all port */
void Port_Init(void); 
/* Configure the system clock to 32 MHz */
void SystemClock_Config(void);

#ifdef __cplusplus
}
#endif


#endif /* __A34M41x_CONF_H */


